edspc/composer-ignore-platform-req-env-plugin

Add env variables to ignore platform-req.

0.1.0 2021-09-12 19:12 UTC

This package is auto-updated.

Last update: 2022-01-12 19:50:23 UTC


README

Add environment variables to ignore platform-req.

Installation:

Requires Composer 2.

Install globally:

composer global require edspc/ignore-env-composer-plugin

This plugin adds functionality to ignore platform requirements (php, hhvm, lib-* and ext-*) for require, update, install operations.

It works just like options --ignore-platform-reqs or --ignore-platform-req for those ops.

Env variable nameCOMPOSER_IGNORE_PLATFORM_REQ.
Possible values:

  • 1, all, full – ignoring ALL requirements;
  • space-separated string of requirements to ignore.